#!/bin/sh
set -e

# Prépare le répertoire de données
mkdir -p /app/data

# Lance Xvfb avec une résolution (ici 1920x1080, modifiable via env VNC_RESOLUTION si besoin)
Xvfb :1 -screen 0 ${VNC_RESOLUTION:-1920x1080x24} -dpi ${VNC_DPI:-120} &
sleep 2

# Lance Openbox pour gérer la fenêtre et maximiser automatiquement
openbox-session &
sleep 2

# Lance x11vnc pour partager le display :1 sur le port 5900 (sans mot de passe)
x11vnc -display :1 -rfbport 5900 -nopw -forever -shared &
sleep 2

# Lance noVNC pour exposer l'interface web sur le port 6080
websockify --web /usr/share/novnc 6080 localhost:5900 &
sleep 2

# Exporte le DISPLAY et lance l'application SoulseekQt en arrière-plan
export DISPLAY=:1
/app/code/SoulseekQt &
# Attendre que l'application se lance
sleep 5

# Utilise wmctrl pour maximiser la fenêtre active
wmctrl -r :ACTIVE: -b add,maximized_vert,maximized_horz || true

# Garde le container actif
tail -f /dev/null

